Developer
API REFERENCE

Folders API

4 REST endpoints for folders, each with its parameters, the response it returns and a runnable curl example. Starts with GET /api/folders.

GET/api/folders

Folders

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
POST/api/folders

Create or update folders

Open interactive reference →

Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.

Parameters 4
NameInDescription
namebodyJSON request field
colorbodyJSON request field
iconbodyJSON request field
defaultsbodyJSON request field

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
DELETE/api/folders/{id}

Delete folders by ID

Open interactive reference →

Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.

Parameters 1
NameInDescription
idpathRequired path parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
POST/api/folders/{id}

Create or update folders by ID

Open interactive reference →

Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.

Parameters 2
NameInDescription
idpathRequired path parameter
defaultsbodyJSON request field

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited